import pytest
from tuesd4y_styles import colors 

def test_colors_dark():
    dark = colors.colors('dark')
    assert isinstance(dark, dict)
    assert 'text' in dark
    assert dark['text'] == '#ebebec'

def test_colors_light():
    light = colors.colors('light')
    assert isinstance(light, dict)
    assert 'text' in light
    assert light['text'] == '#1b1e23'

def test_invalid_mode():
    with pytest.raises(ValueError):
        colors.colors('invalid') 